<?php
/*
Plugin Name: ContestResults
Version: 1.3
Description: Add contests management pages
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=439
Author: Mistic
Author URI: http://www.strangeplanet.fr
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable, $conf;

// +-----------------------------------------------------------------------+
//				Variables globales CR
// +-----------------------------------------------------------------------+
define('CR_NAME' , 'Contest Results');
define('CR_VERSION', '1.3');
define('CR_DIR' , basename(dirname(__FILE__)));
define('CR_PATH' , PHPWG_PLUGINS_PATH . CR_DIR . '/');
define('CR_TABLE_1' , $prefixeTable . 'contests');
define('CR_TABLE_2' , $prefixeTable . 'contests_results');
define('CR_ADMIN', PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CR_DIR . '/admin/admin.php');
define('CR_PUBLIC', make_index_url(array('section' => 'contests')) . '/');

$ED = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'ExtendedDescription';"));
define('CR_ED_STATE', $ED['state']);


// +-----------------------------------------------------------------------+
//					Triggers
// +-----------------------------------------------------------------------+
add_event_handler('get_admin_plugin_menu_links', 'CR_admin_menu'); 	// Lien d'administration
add_event_handler('loc_end_section_init', 'CR_section_init'); 		// Paramtre URL
add_event_handler('loc_end_index', 'CR_index'); 					// Contenu du la page
add_event_handler('loc_end_picture', 'CR_comment_picture', 10); 	// Commentaire sur la page image
if(CR_ED_STATE == 'active') add_event_handler('render_CR_content', 'get_user_language_desc'); 	// Textes multilangues


// +-----------------------------------------------------------------------+
//					Fonctions
// +-----------------------------------------------------------------------+
include(CR_PATH . 'include/functions.php');
// Gestion du menu
include(CR_PATH . 'include/cr_menubar.php');

// Lien d'administration
function CR_admin_menu($menu) {
	array_push($menu, array(
		'NAME' => CR_NAME,
		'URL' => CR_ADMIN
	));
	return $menu;
}

// Paramtre URL
function CR_section_init() {
    global $tokens, $page, $conf;
	
	load_language('plugin.lang', CR_PATH);
	
    if ($tokens[0] == 'contests') { // on est dans la section concours
		$page['section'] = 'contests';
		$page['title'] = l10n('Contests');
		
		if (isset($tokens[1]) AND !empty($tokens[1])) { // on est sur la page d'un concours
			$tokens[1] = explode('-', $tokens[1]);
			if (preg_match('#^([0-9]*)$#', $tokens[1][0])) { // is_int ne marche pas parce que le chiffre est stock en (string)
				$page['contest'] = $tokens[1][0];
				$page['title'] .= $conf['level_separator'] . trigger_event('render_CR_content', get_contest_name($page['contest']));
			}
		}
	}
}

// Contenu de la page
function CR_index() {
    global $template, $page, $conf;

    if (isset($page['section']) and $page['section'] == 'contests') {
		if (isset($page['contest'])) { // on est sur la page d'un concours
			include(CR_PATH . 'include/cr_page.php');
		} else { // on est dans la section concours
			include(CR_PATH . 'include/cr_main.php');
		}
	}
}

// Ajoute le commentaire sur la page image
function CR_comment_picture() {
	global $page, $template, $conf;
	include(CR_PATH . 'include/cr_comment_picture.php');  
}

?>